com.jscape.inet.ssh.protocol.v2.marshaling.algorithms

## Interface MacFactory

- All Known Implementing Classes:
    JceMacFactory

      public interface MacFactory

  A SSH MAC factory.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MacFactory.OperationException` Represents an operation error.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Mac` | `clientToServerMacFor(java.lang.String name, KeyFactory keyFactory)` Returns a MAC operation for client-server direction.
    `java.util.List<java.lang.String>` | `macs()` Returns supported MAC algorithms.
    `Mac` | `serverToClientMacFor(java.lang.String name, KeyFactory keyFactory)` Returns a MAC operation for server-client direction.

- - ### Method Detail

    - #### macs

          java.util.List<java.lang.String> macs()

      Returns supported MAC algorithms.
      Returns:
        supported MAC algorithms

    - #### clientToServerMacFor

          Mac clientToServerMacFor(java.lang.String name,
                                   KeyFactory keyFactory)
                            throws MacFactory.OperationException

      Returns a MAC operation for client-server direction.
      Parameters:
        `name` - a SSH algorithm name
        `keyFactory` - a key factory
      Returns:
        a MAC operation
      Throws:
        `MacFactory.OperationException` - if an error occurs

    - #### serverToClientMacFor

          Mac serverToClientMacFor(java.lang.String name,
                                   KeyFactory keyFactory)
                            throws MacFactory.OperationException

      Returns a MAC operation for server-client direction.
      Parameters:
        `name` - a SSH algorithm name
        `keyFactory` - a key factory
      Returns:
        a MAC operation
      Throws:
        `MacFactory.OperationException` - if an error occurs

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved